Unusual Whales UnusualWhales API

Greek Exposure By Strike And Expiry

GET https://api.unusualwhales.com/api/stock/{ticker}/greek-exposure/strike-expiry

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

ticker SingleTicker required

A single ticker

Example: AAPL

Query Parameters

date Optional Market Date optional

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example: 2024-01-18
expiry Single expiry date required

A single expiry date in ISO date format.

Example: 2024-02-02

Responses

200 422 500

Response Body 200 OK

call_charm Gex Call Charm

The sum of the charm values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example: 102382359.5786
call_delta Gex Call Delta

The sum of the delta values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example: 227549667.4651
call_gex Gex Call Gamma

The sum of the gamma values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example: 9356683.4241
call_vanna Gex Call Vanna

The sum of the vanna values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example: 152099632406.9564
expiry Expiry

The expiry date of an option contract in ISO format.

Example: 2022-05-30
put_charm Gex Put Charm

The sum of the charm values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example: -943028472.4815
put_delta Gex Put Delta

The sum of the delta values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example: -191893077.7193
put_gex Gex Put Gamma

The sum of the gamma values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example: -12337386.0524
put_vanna Gex Put Vanna

The sum of the vanna values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example: 488921784213.1121
strike Strike

The strike price of an option contract.

Example: 150.0
Try It GET
Path Parameters
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/greek-exposure/strike-expiry?expiry=VALUE" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "call_charm": "102382359.5786",
      "call_delta": "227549667.4651",
      "call_gex": "9356683.4241",
      "call_vanna": "152099632406.9564",
      "expiry": "2022-05-25",
      "put_charm": "-943028472.4815",
      "put_delta": "-191893077.7193",
      "put_gex": "-12337386.0524",
      "put_vanna": "488921784213.1121",
      "strike": "150"
    },
    {
      "call_charm": "81465130.0002",
      "call_delta": "210202465.3421",
      "call_gex": "8456599.8505",
      "call_vanna": "161231587973.6811",
      "expiry": "2022-05-25",
      "put_charm": "-1054548432.6111",
      "put_delta": "-210881557.3003",
      "put_gex": "-12703877.0243",
      "put_vanna": "488921784213.1121",
      "strike": "152.5"
    }
  ]
}